namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMapping
{ // ...

    double? TestStatic_GetReversedDeterministicHashCodeKey(string file);
    static double? GetReversedDeterministicHashCodeKey(bool keyValuePairsAny, Dictionary<int, List<Models.Face>> keyValuePairs, string file) =>
        Mapping.GetReversedDeterministicHashCodeKey(keyValuePairsAny, keyValuePairs, file);

    double TestStatic_GetDeterministicHashCodeKey(Models.Item item, Models.Face face);
    static double GetDeterministicHashCodeKey(Models.Item item, Models.Face face) =>
        Mapping.GetDeterministicHashCodeKey(item, face);

    double TestStatic_GetDeterministicHashCodeKey(Models.Item item, Models.Closest closest);
    static double GetDeterministicHashCodeKey(Models.Item item, Models.Closest closest) =>
        Mapping.GetDeterministicHashCodeKey(item, closest);

}