namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface ILocation
{ // ...

    Models.Location? TestStatic_GetLocation(Models.Location? location, int height, int width, int zCount);
    static Models.Location? GetLocation(Models.Location? location, int height, int width, int zCount) =>
        location is null ? null : new(location.Confidence, height, location, width, zCount);

    int?[] TestStatic_GetInts(List<Models.Location> locations);
    static int?[] GetInts(List<Models.Location> locations) => (from l in locations where l.NormalizedPixelPercentage is not null select l.NormalizedPixelPercentage).ToArray();

}